



// v4.0
//##############################################################################
//#################                INIT                       ##################
//##############################################################################


        {$DEFINE USE_AHEAP}

        {$DEFINE USE_FOOT}

        {$DEFINE USE_AROUTINE}

        {$DEFINE USE_ADEVICES}

        {$DEFINE USE_UCORE}

        {$DEFINE USE_UBASIC}

        {$DEFINE USE_UPRIMITIVES}

        {$DEFINE USE_UUEXTENDED}


//##############################################################################
//#################                INIT                       ##################
//##############################################################################
Unit AInit;




        		//###############
        		//## INTERFACE ##
        		//###############
        		Interface

        		//##############
        		//##   USES   ##
        		//##############
        		Uses
                        //######################################################
        		//######################## CUSTOM ######################

                                                {$IFDEF USE_AHEAP}
                                                AHeap,
                                                {$ENDIF}
                                                {$IFDEF USE_FOOT}
                                                Foot,
                                                {$ENDIF}
                                                {$IFDEF USE_AROUTINE}
                                                ARoutine,
                                                {$ENDIF}
                                                {$IFDEF USE_ADEVICES}
                                                ADevices,
                                                {$ENDIF}
                                                {$IFDEF USE_UCORE}
                                                UCore,
                                                {$ENDIF}
                                                {$IFDEF USE_UBASIC}
                                                UBasic,
                                                {$ENDIF}
                                                {$IFDEF USE_UPRIMITIVES}
                                                UPrimitives,
                                                {$ENDIF}
                                                {$IFDEF USE_UUEXTENDED}
                                                UExtended,
                                                {$ENDIF}

                        //######################################################
        		//######################## SYSTEM ######################
                                		  {System,}
                                                  HWindows;




//##############################################################################
//##                          init and final units                            ##
//##############################################################################

procedure InitUnits;
procedure FinalUnits;




//##############################################################################
//##############################################################################
//##############################################################################
//##############################################################################
//##############################################################################
//##########################                          ##########################
//##########################                          ##########################
//##                              IMPLEMENTATION                              ##
//##########################                          ##########################
//##########################                          ##########################
//##############################################################################
//##############################################################################
//##############################################################################
//##############################################################################
//##############################################################################
Implementation




//##############################################################################
//##############################################################################
//##############################################################################
//##############################################################################
//##############################################################################
//#######################                                 ######################
//#######################                                 ######################
//##                              INITIALIZATION                              ##
//#######################                                 ######################
//#######################                                 ######################
//##############################################################################
//##############################################################################
//##############################################################################
//##############################################################################
//##############################################################################
procedure InitUnits;
begin
        {$IFDEF USE_AHEAP}
          AHeap.Init;
        {$ENDIF}

        {$IFDEF USE_FOOT}
          Foot.Init;
        {$ENDIF}

        {$IFDEF USE_AROUTINE}
          ARoutine.Init;
        {$ENDIF}

        {$IFDEF USE_ADEVICES}
          ADevices.Init;
        {$ENDIF}

        {$IFDEF USE_UCORE}
          UCore.Init;
        {$ENDIF}

        {$IFDEF USE_UBASIC}
          UBasic.Init;
        {$ENDIF}

        {$IFDEF USE_UPRIMITIVES}
          UPrimitives.Init;
        {$ENDIF}

        {$IFDEF USE_UUEXTENDED}
          UExtended.Init;
        {$ENDIF}
end;




//##############################################################################
//##############################################################################
//##############################################################################
//##############################################################################
//##############################################################################
//#######################                                 ######################
//#######################                                 ######################
//##                                FINALIZATION                              ##
//#######################                                 ######################
//#######################                                 ######################
//##############################################################################
//##############################################################################
//##############################################################################
//##############################################################################
//##############################################################################
procedure FinalUnits;
begin
        {$IFDEF USE_UUEXTENDED}
          UExtended.Final;
        {$ENDIF}

        {$IFDEF USE_UPRIMITIVES}
          UPrimitives.Final;
        {$ENDIF}

        {$IFDEF USE_UBASIC}
          UBasic.Final;
        {$ENDIF}

        {$IFDEF USE_UCORE}
          UCore.Final;
        {$ENDIF}

        {$IFDEF USE_ADEVICES}
          ADevices.Final;
        {$ENDIF}

        {$IFDEF USE_AROUTINE}
          ARoutine.Final;
        {$ENDIF}

        {$IFDEF USE_FOOT}
          Foot.Final;
        {$ENDIF}

        {$IFDEF USE_AHEAP}
          AHeap.Final;
        {$ENDIF}
end;

//##############################################################################
//##############################################################################

End.
